Subject: Upload a Chinese module for Windows

From: Wang Wei <[email-masked]>
Date: Mon, 12 Apr 1993 12:02:30 -0400

Hi, everybody,

I'm trying to upload a Chinese module to IFCSS.ORG. But there're too many
anonymous users there at the monent. So I'll try it in the evening.

I call the module Way version 3.0.02. It probably can only be used as a
tool (or SDK as others call this kind of thing) for Chinese application
writing in Windows. Here below is the read me file. I only tried it on
MS Windows 3.1, though it is supposed to run on Windows 3.0.

By the way, the FTP site administrator please instruct me if I need any
special permission or anything to upload the program.
_________________________________________________________________________
Read Me File for Way 3.0.02

This program is a universal Chinese input module for Microsoft Windows
3.0/3.1. The intention of releasing it is to let more programmers to
development Chinese supporting applications for Windows. Starting from
this version, the program will be released as shareware.

The version 3.0.01 of the program did not get much attention since I
uploaded it. I guess the reason is that it did not have much usage.
Since Chinese supporting systems are coming around in the market, I
believe there might be an editor or word-processing package that
supports Chinese out there somewhere. I have'nt had a chance to try
it on Chinese Star (A Chinese Windows add-on package from Beijing),
But I think Way would work in it.

The new features over the previous version:

1) Several practical input methods have been integrated in, they are
   WuBiZiXing (Wang Ma), Qian Ma, Telecode. PinYin CiHui dictionary
   now has over 30,000 characters/phrases.

2) Dictionary de-compiler has been implemented.

3) A full-flavored manual is also included, which covers the operation
   of Way and further software development with Way.
=======================================================================
Here is the usual my claimer and disclaimer for Way:

1) Way may not be used in any business, corporation, government agency
   or any other entity.

2) Way may be freely copied, provided that all files listed below are
   included and they are not modified in any form.

Disclaimer:
----------------------------------------------------------------------
The author of Way disclaims all warranties, either expressed or
implied, including, but not limited to implied warranties of
merchantability and fitness for a particular purpose, with respect
to the product. Should the program prove defective, the user assumes
the risk of paying the entire cost of all necessary servicing, repair,
or correction and any incidental or consequential damages. In no event
will the author of Way be liable for any damages whatsoever (including
without limitation damages for loss of business profits, business
interruption, loss of business information and the like) arising out
of the use or the inability to use this product even if the author has
been advised of the possibility of such damages.

======================================================================

Files included in the release:

        PinYin.WIN      This file - first information about Way

        Way3002.EXE     self-extractable compressed files which includs
        WayFONT.EXE     the following files:
        WayDIC.EXE

                Way.EXE         the Windows executable - main program
                                of Way
                MISC.DLL        a Windows Dynamic Like Library, which
                                contains miscelleneous functions used
                                in Way
                MISC.LIB        C (Borland) library for MISC.DLL
                *.h             C/C++ header files for MISC.LIB
                Way.HLP         on-line manual of Way
                Way-MAN.PS      Poscript version of the Way manual
                CH16.FON        16x16 dot matrix Chinese font file for
                                Windows 3.0/3.1
                *.DIC           sample and working Way dictionary files
                *.Way           sample Way dictionary script files.
                                They are used to create or decompile
                                the aobve listed dictionary files.
======================================================================

To install the program:

1) change your current directory under DOS to the one you want to
   install Way;

2) execute Way3002.EXE, WayFONT.EXE and WayDIC.EXE to decompress all
   the files into the current directory.

=====================================================================

That's all! Easy enough?

Please send error reports and whatsoever regarding the program to me
directly through Email. Currently I'm working on other private
projects. But since I just started my first year in Central Michigan
University, I can only move like snail with these stuff. I plan to do
a Chinese editor (not really word-processor though), a communication
application that support Chinese. There're a lot of details in just
these two. So I very much like to hear any suggestions from you.

Good luck to you! And me too!

Wang Wei        BITNET: [email-masked]
                Internet: [email-masked]
____________________________________________________________________________

Sorry for the ^M's.